## com.bbn.openmap.layer.mysql
Class MysqlMultiPoint

    java.lang.Object
      com.bbn.openmap.layer.mysql.MysqlGeometry
          com.bbn.openmap.layer.mysql.MysqlMulti
              com.bbn.openmap.layer.mysql.MysqlMultiPoint

public class MysqlMultiPoint
extends MysqlMulti

This class represents the encapsulation of a MySQL MultiPoint Geometry. Coordinate values are stored as values of double precision in arrays as a sequence of Latitude/Longitude pairs. This differs from the database where values are stored as X/Y or Easting/Northing pairs.

Copyright 2003 by the Author

Version:
  1.0
Author:
  Uwe Baier uwe.baier@gmx.net

Field Summary

Fields inherited from class com.bbn.openmap.layer.mysql.MysqlMulti
`elements`

Fields inherited from class com.bbn.openmap.layer.mysql.MysqlGeometry
`GEOMETRYCOLLECTIONTYPE, LINESTRINGTYPE, MULTILINESTRINGTYPE, MULTIPOINTTYPE, MULTIPOLYGONTYPE, POINTTYPE, POLYGONTTYPE`

Constructor Summary
`MysqlMultiPoint()`

Method Summary
`void` `addElement(MysqlGeometry l)`
`MysqlGeometry` `getElementByIndex(int i)`

Methods inherited from class com.bbn.openmap.layer.mysql.MysqlMulti
`countElements`

Methods inherited from class com.bbn.openmap.layer.mysql.MysqlGeometry
`getType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MysqlMultiPoint

    public MysqlMultiPoint()

Method Detail

### addElement

    public void addElement(MysqlGeometry l)

  Specified by:
    `addElement` in class `MysqlMulti`

### getElementByIndex

    public MysqlGeometry getElementByIndex(int i)

  Specified by:
    `getElementByIndex` in class `MysqlMulti`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details